ランタイム: Mix::Scene::IMotion Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IMotion Class Referenceabstract

モーションインターフェース More...

`#include <IMotion.h>`

Inheritance diagram for Mix::Scene::IMotion:
[legend]
Collaboration diagram for Mix::Scene::IMotion:
[legend]

## Public Member Functions

virtual const wchar_t * | GetName (void) const =0
| 名前を取得します More...
virtual Float32 | GetFramesPerSec (void) const =0
| 一秒間あたりのフレーム数を取得します More...
virtual Float32 | GetLastFrame (void) const =0
| 最後のフレームを取得します More...
virtual Float32 | GetLoopStartFrame (void) const =0
| ループの開始フレームを取得します More...
virtual Float32 | GetLoopEndFrame (void) const =0
| ループの終了フレームを取得します More...
virtual void | SetSpeed (Float32 speed)=0
| スピードを設定します More...
virtual Float32 | GetSpeed (void) const =0
| スピードを取得します More...
virtual void | SetBlendRatio (Float32 ratio)=0
| ブレンド率を設定します More...
virtual Float32 | GetBlendRatio (void) const =0
| ブレンド率を取得します More...
virtual void | SetEntry (const Mix::Scene::MOTION_ENTRY_DESC *entries, UInt32 count)=0
| エントリーを設定します More...
virtual const Mix::Scene::MOTION_ENTRY_DESC * | GetEntryPtr (UInt32 index) const =0
| エントリーのポインタを取得します More...
virtual UInt32 | GetEntryCount (void) const =0
| 設定されているエントリーの数を取得します More...
virtual Boolean | Clone (Mix::Scene::IMotion **ppMotion, Boolean bDuplicateEntries=False)=0
| 自身のクローンを作成します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IMotion (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

モーションインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IMotion::~IMotion | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const wchar_t* Mix::Scene::IMotion::GetName | ( | void |  | ) | const

pure virtual

名前を取得します

Returns
  名前を返します

virtual Float32 Mix::Scene::IMotion::GetFramesPerSec | ( | void |  | ) | const

pure virtual

一秒間あたりのフレーム数を取得します

Returns
  一秒間あたりのフレーム数を返します

virtual Float32 Mix::Scene::IMotion::GetLastFrame | ( | void |  | ) | const

pure virtual

最後のフレームを取得します

Returns
  最後のフレームを返します

virtual Float32 Mix::Scene::IMotion::GetLoopStartFrame | ( | void |  | ) | const

pure virtual

ループの開始フレームを取得します

Returns
  開始フレームを返します

virtual Float32 Mix::Scene::IMotion::GetLoopEndFrame | ( | void |  | ) | const

pure virtual

ループの終了フレームを取得します

Returns
  終了フレームを返します

virtual void Mix::Scene::IMotion::SetSpeed | ( | Float32 | speed | ) |

pure virtual

スピードを設定します

Parameters

  [in] | speed | スピード( 0.0f〜正の無限大 )

virtual Float32 Mix::Scene::IMotion::GetSpeed | ( | void |  | ) | const

pure virtual

スピードを取得します

Returns
  スピードを返します

virtual void Mix::Scene::IMotion::SetBlendRatio | ( | Float32 | ratio | ) |

pure virtual

ブレンド率を設定します

Parameters

  [in] | ratio | ブレンド率( 0.0f〜1.0f )

virtual Float32 Mix::Scene::IMotion::GetBlendRatio | ( | void |  | ) | const

pure virtual

ブレンド率を取得します

Returns
  ブレンド率を返します

virtual void Mix::Scene::IMotion::SetEntry | ( | const Mix::Scene::MOTION_ENTRY_DESC * | entries,
|  | UInt32 | count
| ) |  |

pure virtual

エントリーを設定します

Parameters

  [in] | entries | エントリーを表す Mix::Scene::MOTION_ENTRY_DESC 構造体の配列
  [in] | count | エントリーの数

Note
  entries(NULL) count(0) とした場合は、設定されているエントリーを破棄します

virtual const Mix::Scene::MOTION_ENTRY_DESC* Mix::Scene::IMotion::GetEntryPtr | ( | UInt32 | index | ) | const

pure virtual

エントリーのポインタを取得します

Parameters

  [in] | index | 取得するエントリーのインデックス

Returns
  エントリーを表す Mix::Scene::MOTION_ENTRY_DESC 構造体のポインタを返します。
  index が範囲を超えている場合は NULL を返します。

Note
  エントリーは時系列にソートされるため、SetEntry で設定した順序と異なる場合があります。

virtual UInt32 Mix::Scene::IMotion::GetEntryCount | ( | void |  | ) | const

pure virtual

設定されているエントリーの数を取得します

Returns
  エントリーの数を返します

virtual Boolean Mix::Scene::IMotion::Clone | ( | Mix::Scene::IMotion ** | ppMotion,
|  | Boolean | bDuplicateEntries = `False`
| ) |  |

pure virtual

自身のクローンを作成します

Parameters

  [out] | ppMotion | 自身のクローンを渡す Mix::Scene::IMotion インターフェースのポインタのアドレス
  [in] | bDuplicateEntries | エントリーを複製する場合は True

Returns
  成功した場合は True を返します

The documentation for this class was generated from the following file:

- Mix/Scene/IMotion.h